---
title: string
slug: Web/XPath/Functions/string
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>string</code> function converts the given argument to a string.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">string( [<em>object</em>] )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><em><code>object</code></em>(optional)</dt>
 <dd>The object to convert to a string. If omitted, the context node is used.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A string</p>

<h3 id="Notes">Notes</h3>

<ul>
 <li>If the object is a node-set, the string value of the first node in the set is returned.</li>
 <li>A number is converted as follows:
  <ul>
   <li>NaN is converted to the string NaN.</li>
   <li>Positive zero is converted to the string 0.</li>
   <li>Negative zero is converted to the string 0.</li>
   <li>Positive infinity is converted to the string Infinity.</li>
   <li>Negative infinity is converted to the string -Infinity.</li>
   <li>Decimal numbers between -1 and 1 are converted to a string with a single leading 0 before the decimal point.</li>
   <li>Boolean true is converted to the string true.</li>
   <li>Boolean false is converted to the string false.</li>
  </ul>
 </li>
</ul>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-string">XPath 1.0 4.2</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
